create_line

Modeler3DLayout.create_line(layername, center_line_list, lw=1, start_style=0, end_style=0, name=None, netname=None)

Create a line based on a list of points.

Parameters
layernamestr

Name of the layer to create the line on.

center_line_listlist

List of centerline coordinates in the form of [x, y, z].

lwfloat, optional

Line width. The default is 1.

start_style

Starting style of the line. Options are:

  • 0 - Flat

  • 1 - Extended

  • 2 - Round

The default is 0.

end_style

Ending style of the line. The options are the same as those for start_style. The default is 0.

namestr, optional

Name of the line. The default is None, in which case the default name is assigned.

netnamestr, optional

Name of the net. The default is None, in which case the default name is assigned.

Returns
str

Name of the line created when successful.

References

>>> oEditor.CreateLine